#version 120
varying vec3 Position;
varying vec3 Normal;
void main() {
  int levels = 3;
  float scaleFactor = 1.0 / levels;
  vec4 LightPosition = vec4(100.0, 100.0, 10.0, 1.0);
  vec3 Kd = vec3(1.0, 1.0, 1.0);
  vec3 Ka = vec3(0.4, 0.4, 0.2);
  vec3 LightIntensity = vec3(1.0, 1.0, 1.0);
  vec3 s = normalize(vec3(LightPosition) - Position);
  float cosine = max(0.0, dot(s, Normal));
  vec3 diffuse = Kd * floor(cosine * levels) * scaleFactor;
  gl_FragColor = vec4(LightIntensity * (Ka + diffuse), 1.0);
}
