#version 120
attribute vec4 VertexPosition;
attribute vec3 VertexNormal;
uniform mat4 M, V, P;
uniform mat3 NormalMatrix;
varying vec3 Position;
varying vec3 Normal;
void main() {
  mat4 ModelViewMatrix = V * M;
  Normal = normalize(NormalMatrix * VertexNormal);
  Position = vec3(ModelViewMatrix * VertexPosition);
  mat4 MVP = P * V * M;
  gl_Position = MVP * VertexPosition;
}
